org.apache.hadoop.yarn.server.nodemanager

## Enum LinuxContainerExecutor.ExitCode

- java.lang.Object
- - java.lang.Enum<LinuxContainerExecutor.ExitCode>
  - - org.apache.hadoop.yarn.server.nodemanager.LinuxContainerExecutor.ExitCode

- All Implemented Interfaces:
    Serializable, Comparable<LinuxContainerExecutor.ExitCode>
  Enclosing class:
    LinuxContainerExecutor

      public static enum LinuxContainerExecutor.ExitCode
      extends Enum<LinuxContainerExecutor.ExitCode>

  The container exit code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COULD_NOT_CREATE_APP_LOG_DIRECTORIES`
    `COULD_NOT_CREATE_CREDENTIALS_FILE`
    `COULD_NOT_CREATE_SCRIPT_COPY`
    `COULD_NOT_CREATE_TMP_DIRECTORIES`
    `COULD_NOT_CREATE_WORK_DIRECTORIES`
    `DOCKER_RUN_FAILED`
    `ERROR_CREATE_CONTAINER_DIRECTORIES_ARGUMENTS`
    `ERROR_OPENING_DOCKER_FILE`
    `ERROR_READING_DOCKER_FILE`
    `FEATURE_DISABLED`
    `INITIALIZE_USER_FAILED`
    `INVALID_ARGUMENT_NUMBER`
    `INVALID_COMMAND_PROVIDED`
    `INVALID_CONFIG_FILE`
    `INVALID_CONTAINER_EXEC_PERMISSIONS`
    `INVALID_CONTAINER_PID`
    `INVALID_NM_ROOT_DIRS`
    `OUT_OF_MEMORY`
    `PATH_TO_DELETE_IS_NULL`
    `SETSID_OPER_FAILED`
    `SETUID_OPER_FAILED`
    `SUCCESS`
    `TRAFFIC_CONTROL_EXECUTION_FAILED`
    `UNABLE_TO_EXECUTE_CONTAINER_SCRIPT`
    `UNABLE_TO_SIGNAL_CONTAINER`
    `WRITE_CGROUP_FAILED`
    `WRITE_PIDFILE_FAILED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExitCode()` Get the exit code as an int.
    `String` | `toString()`
    `static LinuxContainerExecutor.ExitCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LinuxContainerExecutor.ExitCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final LinuxContainerExecutor.ExitCode SUCCESS

    - #### INVALID_ARGUMENT_NUMBER

          public static final LinuxContainerExecutor.ExitCode INVALID_ARGUMENT_NUMBER

    - #### INVALID_COMMAND_PROVIDED

          public static final LinuxContainerExecutor.ExitCode INVALID_COMMAND_PROVIDED

    - #### INVALID_NM_ROOT_DIRS

          public static final LinuxContainerExecutor.ExitCode INVALID_NM_ROOT_DIRS

    - #### SETUID_OPER_FAILED

          public static final LinuxContainerExecutor.ExitCode SETUID_OPER_FAILED

    - #### UNABLE_TO_EXECUTE_CONTAINER_SCRIPT

          public static final LinuxContainerExecutor.ExitCode UNABLE_TO_EXECUTE_CONTAINER_SCRIPT

    - #### UNABLE_TO_SIGNAL_CONTAINER

          public static final LinuxContainerExecutor.ExitCode UNABLE_TO_SIGNAL_CONTAINER

    - #### INVALID_CONTAINER_PID

          public static final LinuxContainerExecutor.ExitCode INVALID_CONTAINER_PID

    - #### OUT_OF_MEMORY

          public static final LinuxContainerExecutor.ExitCode OUT_OF_MEMORY

    - #### INITIALIZE_USER_FAILED

          public static final LinuxContainerExecutor.ExitCode INITIALIZE_USER_FAILED

    - #### PATH_TO_DELETE_IS_NULL

          public static final LinuxContainerExecutor.ExitCode PATH_TO_DELETE_IS_NULL

    - #### INVALID_CONTAINER_EXEC_PERMISSIONS

          public static final LinuxContainerExecutor.ExitCode INVALID_CONTAINER_EXEC_PERMISSIONS

    - #### INVALID_CONFIG_FILE

          public static final LinuxContainerExecutor.ExitCode INVALID_CONFIG_FILE

    - #### SETSID_OPER_FAILED

          public static final LinuxContainerExecutor.ExitCode SETSID_OPER_FAILED

    - #### WRITE_PIDFILE_FAILED

          public static final LinuxContainerExecutor.ExitCode WRITE_PIDFILE_FAILED

    - #### WRITE_CGROUP_FAILED

          public static final LinuxContainerExecutor.ExitCode WRITE_CGROUP_FAILED

    - #### TRAFFIC_CONTROL_EXECUTION_FAILED

          public static final LinuxContainerExecutor.ExitCode TRAFFIC_CONTROL_EXECUTION_FAILED

    - #### DOCKER_RUN_FAILED

          public static final LinuxContainerExecutor.ExitCode DOCKER_RUN_FAILED

    - #### ERROR_OPENING_DOCKER_FILE

          public static final LinuxContainerExecutor.ExitCode ERROR_OPENING_DOCKER_FILE

    - #### ERROR_READING_DOCKER_FILE

          public static final LinuxContainerExecutor.ExitCode ERROR_READING_DOCKER_FILE

    - #### FEATURE_DISABLED

          public static final LinuxContainerExecutor.ExitCode FEATURE_DISABLED

    - #### COULD_NOT_CREATE_SCRIPT_COPY

          public static final LinuxContainerExecutor.ExitCode COULD_NOT_CREATE_SCRIPT_COPY

    - #### COULD_NOT_CREATE_CREDENTIALS_FILE

          public static final LinuxContainerExecutor.ExitCode COULD_NOT_CREATE_CREDENTIALS_FILE

    - #### COULD_NOT_CREATE_WORK_DIRECTORIES

          public static final LinuxContainerExecutor.ExitCode COULD_NOT_CREATE_WORK_DIRECTORIES

    - #### COULD_NOT_CREATE_APP_LOG_DIRECTORIES

          public static final LinuxContainerExecutor.ExitCode COULD_NOT_CREATE_APP_LOG_DIRECTORIES

    - #### COULD_NOT_CREATE_TMP_DIRECTORIES

          public static final LinuxContainerExecutor.ExitCode COULD_NOT_CREATE_TMP_DIRECTORIES

    - #### ERROR_CREATE_CONTAINER_DIRECTORIES_ARGUMENTS

          public static final LinuxContainerExecutor.ExitCode ERROR_CREATE_CONTAINER_DIRECTORIES_ARGUMENTS

  - ### Method Detail

    - #### values

          public static LinuxContainerExecutor.ExitCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinuxContainerExecutor.ExitCode c : LinuxContainerExecutor.ExitCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LinuxContainerExecutor.ExitCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getExitCode

          public int getExitCode()

      Get the exit code as an int.
      Returns:
        the exit code as an int

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LinuxContainerExecutor.ExitCode>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.